Author: Steven Yi
Date: 2019.10.13

Description:

Complex FM (4 operator, what Chowning and Bristow calls Parallel Carrier,
Independent Modulator in "FM Theory and Applications"). The two operator stacks
are using 4:2 and 1:1 C:M ratios. expseg envelopes are used to modulate the
overall shape of indices and unipolar square lfo's are used for an additional
layer of modulation. I thought the 12 and 3 Hertz for the lfo's gave some nice
texture between the two layers.

I think it probably works best in the low end to middle of the frequency range.
The result using pch of 5.00 reminded me of things heard in some progressive
house tracks. I experimented with various octaves, individually and together,
and left the schedule calls below.

<CsoundSynthesizer>
<CsOptions>
</CsOptions>
; ==============================================
<CsInstruments>

sr	=	48000
ksmps	=	1
nchnls	=	2
0dbfs	=	1

instr S1
  asig = foscili(p5 * 0.5, p4, 4, 2,  8 *  expseg(.001, 1, 1, p3 - 1, .0001)  * lfo(1, 12, 3))
  asig += foscili(p5, p4, 1,1, 16 * expseg(.001, 1, 1, p3 - 1, .0001) * lfo(1, 3, 3))

  asig *= expseg:a(.001, 1, 1,  p3 - 1, .001)

  out(asig, asig)
endin

instr Octaves  
  schedule("S1", 0, 10, cpspch(5.00), ampdbfs(-14))
  schedule("S1", 0, 8, cpspch(6.00), ampdbfs(-15))
  schedule("S1", 0, 6, cpspch(7.00), ampdbfs(-15))
  schedule("S1", 0, 4, cpspch(8.00), ampdbfs(-16))
  schedule("S1", 0, 2, cpspch(9.00), ampdbfs(-16))
endin

</CsInstruments>
; ==============================================
<CsScore>
i "S1" 0 10 32.703 0.25

i "Octaves" 5 1

e 0 15 


</CsScore>
</CsoundSynthesizer>

